BratDocumentStream (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.brat, class: BratDocumentStream

Package opennlp.tools.formats.brat

# Class BratDocumentStream

java.lang.Object
opennlp.tools.formats.brat.BratDocumentStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<BratDocument>`

public class BratDocumentStream extends Object implements opennlp.tools.util.ObjectStream<BratDocument>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BratDocumentStream(AnnotationConfiguration config, File bratCorpusDirectory, boolean searchRecursive, FileFilter fileFilter)`
  Creates a `BratDocumentStream` which reads the documents from the given input directory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `BratDocument`
  `read()`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BratDocumentStream

    public BratDocumentStream(AnnotationConfiguration config, File bratCorpusDirectory, boolean searchRecursive, FileFilter fileFilter) throws IOException
    Creates a `BratDocumentStream` which reads the documents from the given input directory.
    Parameters:
      `config` - the annotation.conf from the brat project as an Annotation Configuration object
      `bratCorpusDirectory` - the directory containing all the brat training data files
      `searchRecursive` - specifies if the corpus directory should be traversed recursively to find training data files.
      `fileFilter` - a custom file filter to filter out certain files or null to accept all files
    Throws:
      `IOException` - if reading from the brat directory fails in any way.

- ## Method Details

  - ### read

    public BratDocument read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<BratDocument>`
    Throws:
      `IOException`

  - ### reset

    public void reset()
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<BratDocument>`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `opennlp.tools.util.ObjectStream<BratDocument>`